2007-07-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoQuery/MonoQuery.addin.xml: Fix pad icon.

2007-07-06  Jeffrey Stedfast  <fejj@novell.com>

	* MonoQuery/Gui/DbProviderCollection.cs: Removed, this is now
	autogenerated.

2007-06-01  Jeffrey Stedfast  <fejj@novell.com>

	* Mono.Data.Sql/Makefile.am: Only build the supported database
	providers (based on configure results).

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoQuery/MonoQuery.mdp: Copy the .addins.xml file to the output dir.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Data.Sql/Makefile.am, Mono.Data.Sql/Mono.Data.Sql.mdp,
	  MonoQuery/Makefile.am, MonoQuery/MonoQuery.mdp: Fixed.

2007-05-10  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Data.Sql/Makefile.am, Mono.Data.Sql/Mono.Data.Sql.mdp,
	  MonoQuery/Makefile.am, MonoQuery/MonoQuery.mdp: Fix build.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Data.Sql/Makefile.am, Mono.Data.Sql/Mono.Data.Sql.mdp: Reference
	  shared assemblies from the correct location. Added missing assembly
	  reference.
	* MonoQuery/Makefile.am, MonoQuery/MonoQuery.mdp: Reference shared
	  assemblies from the correct location.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoQuery/Makefile.am, MonoQuery/MonoQuery.addin.xml,
	  MonoQuery/MonoQuery.mdp: Migration to Mono.Addins.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* tests/Mono.Data.Sql.Tests.mdp, Mono.Data.Sql/Mono.Data.Sql.mdp,
	  MonoQuery/MonoQuery.mdp: Don't copy referenced assemblies.

2007-02-22  Atsushi Enomoto  <atsushi@ximian.com>

	* Mono.Data.Sql/Providers/NpgsqlDbProvider.cs : pgsql somehow
	  returns user ID as int64 while it should be int32, so using
	  GetValue() here.

2007-02-20  Ankit Jain  <jankit@novell.com>

	* MonoQuery/Commands/Commands.cs (Run): Handle empty connection string.
	Destroy the dialog even if an exception is thrown.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoQuery/MonoQuery.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Data.Sql.mds, tests/Mono.Data.Sql.Tests.mdp,
	  Mono.Data.Sql/Makefile.am, Mono.Data.Sql/Mono.Data.Sql.mdp,
	  MonoQuery/Makefile.am, MonoQuery/MonoQuery.mdp: Synchronized the MD
	  project and the Makefile

2007-02-06  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* MonoQuery/MonoQuery.addin.xml: added translatable string for SQL definition pad

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoQuery/MonoQueryService.cs: Use the FileService for copying and
	  deleting files.

2006-09-18  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* Mono.Data.Sql.mds:
	* tests/Mono.Data.Sql.Tests.mdp:
	* Mono.Data.Sql/Mono.Data.Sql.mdp:
	* MonoQuery/MonoQuery.mdp:
	Updated.

2006-09-15 Jimmy <jkernel1234@bellsouth.net>

	* Mono.Data.Sql/Providers/SqliteDbProvider.cs:
	Fix to not show indices in table view.

2006-08-31 Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoQuery/MonoQueryService.cs: File existence check on unload.

2006-08-08  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* Mono.Data.Sql/Makefile.am:
	* MonoQuery/Makefile.am:
	Added support for enabling/disabling MonoQuery.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoQuery/MonoQuery.addin.xml: Updated references.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Data.Sql.mds: Updated.
	* tests/Mono.Data.Sql.Tests.mdp: Updated.
	* Mono.Data.Sql/Mono.Data.Sql.mdp: Updated.
	* MonoQuery/MonoQuery.mdp: Updated.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* MonoQuery/MonoQuery.addin.xml: Updated references.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* Mono.Data.Sql/Mono.Data.Sql.mdp:
	* MonoQuery/MonoQuery.mdp:
	* MonoQuery/Makefile.am:
	* Mono.Data.Sql/Makefile.am: Use an unified format. 
	  Patch by Matze Braun.
	
	* MonoQuery/MonoQuery.addin.xml: Updated add-in versions.

2006-02-24  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoQuery/MonoQuery/MonoQuery.mdp: Updated references.

2006-02-23  Daniel Morgan <danielmorgan@verizon.net>

	* TODO: add ToDo file for MonoQuery and Mono.Data.Sql

2006-02-22  Daniel Morgan <danielmorgan@verizon.net>

	* Mono.Data.Sql/Makefile.Win32: added file to build
	Mono.Data.Sql on Win32 without autotools

2006-01-14  Andrés G. Aragoneses <knocte@gmail.com>

	* MonoQuery/Gui/SqlQueryView.cs: Fixed a typo.

2005-11-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoQuery/Gui/SqlDefinitionPad.cs: Fix gtksourceview warning.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoQuery/MonoQuery.addin.xml: Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoQuery/MonoQuery.addin.xml: Added addin dependencies.

2005-09-27	Christian Hergert	<christian.hergert@gmail.com>

	* Mono.Data.Sql/Providers/SqliteDbProvider.cs: Add ankit's sqlite
	updates.

2005-09-23	Christian Hergert	<christian.hergert@gmail.com>

	* Update svn:ignore

2005-09-22	Christian Hergert	<christian.hergert@gmail.com>

	* Mono.Data.Sql/Providers/NpgsqlDbProvider.cs: Encapsulate GetDateTime
	method in a try catch.

2005-09-05  Sureshkumar T  <tsureshkumar@novell.com>

	* Mono.Data.Sql/Providers/SqlDbProvider.cs: implemented procedure
	and their parameters listing.

2005-08-25  Daniel Morgan <danielmorgan@verizon.net>

	* Extras/MonoQuery/MonoQuery/Gui/SqlQueryView.cs: implement
	execution of SQL statements in different modes: if text
	selected then execute as-is, execute one statement starting at
	cursor, and execute multiple statements one-at-a-time starting
	at cursor

	* Mono.Data.Sql/Providers/OracleDbProvider.cs: only show 
	what can be browsed

	* Extras/MonoQuery/Mono.Data.Sql/Providers/SqlDbProvider.cs: add
	ColumnSchema and remove others not used.  Remove constraints since
	they are not working

	* Extras/MonoQuery/Mono.Data.Sql/Providers/SybaseDbProvider.cs: add
	ColumnSchema and remove others not used.

2005-08-22  Daniel Morgan <danielmorgan@verizon.net>

	* Mono.Data.Sql/Providers/OracleDbProvider.cs: fix ExecuteSQL

2005-08-21	Christian Hergert	<christian.hergert@gmail.com>

	* MonoQuery/Commands/Commands.cs: Add some new commands to the enum
	* MonoQuery/Gui/NodeBuilders/DatabaseNodeBuilder.cs: Use new icons
	* MonoQuery/Gui/NodeBuilders/ProviderCollectionNodeBuilder.cs: Use new
	icon.
	* MonoQuery/Gui/NodeBuilders/TablesNodeBuilder.cs: Add new commands
	for refresh and show query tool.
	* MonoQuery/Gui/NodeBuilders/TableNodeBuilder.cs: Add new
	commands for empty, drop, refresh, and show query tool.
	* MonoQuery/Gui/NodeBuilders/ColumnNodeBuilder.cs: Build icons
	reflective of the columns datatype.
	* MonoQuery/Gui/FakeNodes.cs: add refresh to the fake tables node.
	This way the builder can subscribe and rebuild the tree. Probably can
	be done in a better way.
	* MonoQuery/Gui/SqlQueryView.cs: new query tool
	* MonoQuery/Makefile.am: updated
	* MonoQuery/icons/MonoQuery.Stop: New icon for query tool
	* MonoQuery/icons/MonoQuery.RunFromCursor: New icon for query tool
	* MonoQuery/icons/MonoQuery.Explain: New icon for query tool
	* MonoQuery/icons/MonoQuery.Param: New icon for procedure parameters.
	* MonoQuery/icons/MonoQuery.Numeric: new icon for numeric data type.
	* MonoQuery/icons/MonoQuery.Execute: New icon for query tool
	* MonoQuery/icons/MonoQuery.Database.Connected: Database connected
	icon
	* MonoQuery/icons/MonoQuery.Database.Disconnected: Database error on
	connection icon.
	* MonoQuery/icons/MonoQuery.String: String data type icon
	* MonoQuery/icons/MonoQuery.Providers: New providers icon
	* MonoQuery/icons/MonoQuery.Blob: Blob|byte[] data type icon
	* MonoQuery/icons/MonoQuery.SqlQueryView: Query view icon
	* MonoQuery/MonoQuery.addin.xml: Updated with new context menus and
	icons.
	* MonoQuery/MonoQuery.mdp: Updated
	* Mono.Data.Sql/Providers/DbProviderBase.cs: Add explain support.
	* Mono.Data.Sql/Providers/SqlDbProvider.cs: Catch errors for async
	mode and return null.
	* Mono.Data.Sql/Providers/NpgsqlDbProvider.cs:
	* Mono.Data.Sql/Providers/OracleDbProvider.cs:
	* Mono.Data.Sql/Providers/MySqlDbProvider.cs:
	* Mono.Data.Sql/Providers/FirebirdDbProvider.cs:
	* Mono.Data.Sql/Providers/SybaseDbProvider.cs:
	* Mono.Data.Sql/Providers/OdbcDbProvider.cs:

2005-08-20	Christian Hergert	<christian.hergert@gmail.com>

	* tests/test-oracle-1.cs: Test. Will be converted to nunit later.
	* tests/test-firebird-1.cs:
	* tests/test-sybase-1.cs:
	* MonoQuery/Gui/NodeBuilders/TableNodeBuilder.cs: Do not append the
	sql statement with `;' as this breaks oracle.
	* MonoQuery/monoquery.glade: Make password hidden by default.
	Passwords can be still seen in advanced textview. this is ok and done
	on purpose.
	* MonoQuery/MonoQuery.mdp: Updated
	* Mono.Data.Sql/Makefile.am:
	* Mono.Data.Sql/Providers/FirebirdDbProvider.cs: New firebird
	provider.
	* Mono.Data.Sql/Providers/SybaseDbProvider.cs: New sybase provider
	* Mono.Data.Sql/Providers/OdbcDbProvider.cs: New generic odbc
	connector.
	* Mono.Data.Sql/Mono.Data.Sql.mdp: Updated

2005-08-12  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoQuery/Makefile.am: embed icons as resources.
	* MonoQuery/MonoQuery.addin.xml: Register new stock icons.

2005-08-06	Christian Hergert	<christian.hergert@gmail.com>

	* Mono.Data.Sql/AssemblyInfo.cs: Fix versioning stuff
	* Mono.Data.Sql/Providers/NpgsqlDbProvider.cs: Update supported types.
	properly close data readers. 
	* Mono.Data.Sql/Providers/MySqlDbProvider.cs: Add basic support for
	tables, their columns, and users. This should be somewhat useful now. Need
	to still determine which versions of mysql ByteFX driver works with.
	* MonoQuery/AssemblyInfo.cs: Fix versioning stuff
	* MonoQuery/Gui/NodeBuilders/TableNodeBuilder.cs: Update to check that the
	type is supported before showing a dummy node.
	* MonoQuery/Gui/ConnectionDialog.cs: Change Secret to Password.

2005-08-06	Christian Hergert	<christian.hergert@gmail.com>

	* Mono.Data.Sql.mds: Updated
	* Mono.Data.Sql/Schema/ForeignKeyConstraintSchema.cs: Add setter for
	reference table name.
	* Mono.Data.Sql/Schema/UniqueConstraintSchema.cs: Add default Constructor.
	* Mono.Data.Sql/Makefile.am: Updated to build when files change.
	* Mono.Data.Sql/Providers/NpgsqlDbProvider.cs: Add some more guts to the
	Constraint builders for tables.
	* MonoQuery/Gui/NodeBuilders/ConstraintNodeBuilder.cs: Add a handler
	* MonoQuery/MonoQuery.addin.xml: Load mono.data.sql.

2005-08-06	Christian Hergert	<christian.hergert@gmail.com>

	* tests/Mono.Data.Sql.Tests.mdp: Updated
	* Mono.Data.Sql/Schema/AbstractSchema.cs: Add Options hashtable for
	generic extra options above and beyond the hardcoded properties.
	* Mono.Data.Sql/Schema/UserSchema.cs: Add a few new descriptor objects.
	* Mono.Data.Sql/Providers/NpgsqlDbProvider.cs: Add GetUser () :
	UserSchema[] support.
	* Mono.Data.Sql/Mono.Data.Sql.mdp: Updated
	* MonoQuery/Gui/NodeBuilders/UsersNodeBuilder.cs: Build the underlying
	users.
	* MonoQuery/Gui/NodeBuilders/UserNodeBuilder.cs: New builder to build a
	user object in the tree.
	* MonoQuery/Gui/DbProviderCollection.cs: Add some more xml includes for
	the database persistence file.
	* MonoQuery/Makefile.am: Updated
	* MonoQuery/MonoQuery.addin.xml: Updated
	* MonoQuery/MonoQuery.mdp: Updated

2005-08-08  John Luke  <john.luke@gmail.com>

	* MonoQuery/Makefile.am: add glade file to EXTRA_DIST to
	fix distcheck

2005-08-06	Christian Hergert	<christian.hergert@gmail.com>

	* MonoQuery/Makefile.in: should not have been imported.
	* MonoQuery/Makefile: should not have been imported.

2005-08-03  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoQuery/Commands/Commands.cs:
	* MonoQuery/Gui/NodeBuilders/DatabaseNodeBuilder.cs:
	* MonoQuery/Gui/DatabasePad.cs: Moved command handlers to node builders.

2005-08-02	Christian Hergert	<christian.hergert@gmail.com>

	* MonoQuery.prjx: deleted
	* MonoQuery.addin.xml.in: removed
	* Exceptions: removed
	* Services: removed
	* Gui: removed
	* Codons: removed
	* SchemaClass: removed
	* MonoQuery.cmbx: removed
	* Collection: removed
	* MonoQueryView.cs: removed
	* MonoQuery/AssemblyInfo.cs: part of monoquery2
	* MonoQuery/MonoQuery.mds:
	* MonoQuery/Commands:
	* MonoQuery/Commands/Commands.cs:
	* MonoQuery/Makefile.in:
	* MonoQuery/MonoQueryService.cs:
	* MonoQuery/Gui/NodeBuilders/UsersNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/ParametersNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/DatabaseNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/TypesNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/LanguagesNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/ProviderCollectionNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/ConstraintsNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/AggregatesNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/TablesNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/ViewNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/ProceduresNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/OperatorsNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/GroupsNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/ColumnsNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/RolesNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/ConstraintNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/TriggersNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/TableNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/ProcedureNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/RulesNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/SequencesNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/ColumnNodeBuilder.cs:
	* MonoQuery/Gui/NodeBuilders/ViewsNodeBuilder.cs:
	* MonoQuery/Gui/DbProviderCollection.cs:
	* MonoQuery/Gui/SqlDefinitionPad.cs:
	* MonoQuery/Gui/ConnectionDialog.cs:
	* MonoQuery/Gui/FakeNodes.cs:
	* MonoQuery/Gui/DatabasePad.cs:
	* MonoQuery/Gui/DataGridView.cs:
	* MonoQuery/monoquery.glade:
	* MonoQuery/Makefile.am:
	* MonoQuery/MonoQuery.addin.xml:
	* MonoQuery/Makefile:
	* MonoQuery/MonoQuery.mdp:
	* AssemblyInfo.cs: removed
	* Mono.Data.Sql.mds: removed
	* Commands: removed
	* tests/NpgsqlTablesTest.cs: start of tests for monoquery2. these dont
	really do anything at the moment
	* tests/pgsql.sql
	* tests/CreateProviderTests.cs
	* tests/Mono.Data.Sql.Tests.mdp
	* MonoQuery.mdsx: removed
	* Makefile.am: updated
	* Mono.Data.Sql/AssemblyInfo.cs: core to monoquery2
	* Mono.Data.Sql/Schema:
	* Mono.Data.Sql/Schema/OperatorSchema.cs:
	* Mono.Data.Sql/Schema/GroupSchema.cs:
	* Mono.Data.Sql/Schema/ColumnSchema.cs:
	* Mono.Data.Sql/Schema/SchemaSchema.cs:
	* Mono.Data.Sql/Schema/RoleSchema.cs:
	* Mono.Data.Sql/Schema/PrimaryKeyConstraintSchema.cs:
	* Mono.Data.Sql/Schema/AbstractSchema.cs:
	* Mono.Data.Sql/Schema/TriggerSchema.cs:
	* Mono.Data.Sql/Schema/RuleSchema.cs:
	* Mono.Data.Sql/Schema/ForeignKeyConstraintSchema.cs:
	* Mono.Data.Sql/Schema/SequenceSchema.cs:
	* Mono.Data.Sql/Schema/ViewSchema.cs:
	* Mono.Data.Sql/Schema/UniqueConstraintSchema.cs:
	* Mono.Data.Sql/Schema/DataTypeSchema.cs:
	* Mono.Data.Sql/Schema/IndexConstraintSchema.cs:
	* Mono.Data.Sql/Schema/UserSchema.cs:
	* Mono.Data.Sql/Schema/ParameterSchema.cs:
	* Mono.Data.Sql/Schema/CheckConstraintSchema.cs:
	* Mono.Data.Sql/Schema/LanguageSchema.cs:
	* Mono.Data.Sql/Schema/ConstraintSchema.cs:
	* Mono.Data.Sql/Schema/PrivilegeSchema.cs:
	* Mono.Data.Sql/Schema/AggregateSchema.cs:
	* Mono.Data.Sql/Schema/TableSchema.cs:
	* Mono.Data.Sql/Schema/ISchema.cs:
	* Mono.Data.Sql/Schema/ProcedureSchema.cs:
	* Mono.Data.Sql/Makefile.am:
	* Mono.Data.Sql/Providers:
	* Mono.Data.Sql/Providers/DbProviderBase.cs:
	* Mono.Data.Sql/Providers/SqlDbProvider.cs:
	* Mono.Data.Sql/Providers/SqliteDbProvider.cs:
	* Mono.Data.Sql/Providers/NpgsqlDbProvider.cs:
	* Mono.Data.Sql/Providers/MySqlDbProvider.cs:
	* Mono.Data.Sql/Providers/OracleDbProvider.cs:
	* Mono.Data.Sql/Mono.Data.Sql.mdp:

2005-07-13  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoQueryView.cs:
	* Gui/DataView/MonoQueryDataView.cs: Pads are now responsible
	of showing its own widgets.
	
2005-03-31  Christian Hergert <chris@mosaix.net>

	* MonoQueryView.cs: Fix the momento icon.

2005-03-14  Lluis Sanchez Gual <lluis@novell.com>

	* MonoQuery.addin.xml.in: Define the MonoQuery pad.

2005-03-06	Christian Hergert <chris@mosaix.net>

	* MonoQuery/Makefile.am: EXTRA_DIST doesnt support conditional variables.

2005-02-02  Christian Hergert <chris@mosaix.net>

	* MonoQuery/MonoQuery.addin.xml: Moved to .in to be autogenerated
	by automake.

2005-02-02  Christian Hergert <chris@mosaix.net>

	* Extras/MonoQuery/Gui/SqlQueryView/SqlQueryView.cs: flush

2005-01-31  Christian Hergert <chris@mosaix.net>

	* Extras/MonoQuery/Gui/SqlQueryView/SqlQueryView.cs: Updated to new
	ToolItem to fix compiler warning.

2005-01-26  Christian Hergert <chris@mosaix.net>

	* Extras/MonoQuery/Gui/Abstract/AbstractMonoQueryNode.cs:
	* Extras/MonoQuery/Commands/MonoQueryCommands.cs: Fixed to use new
	ShowView

2005-01-08  Christian Hergert <chris@mosaix.net>

	* Fixed druid to expand the connection after building

2005-01-08  Christian Hergert <chris@mosaix.net>
	
	* Following Makefile.am fixes
	* Copy .addin.xml if it changes
	* Fix setup to work if layout changes in the future
	* If .addin.xml changes, only copy addin and not rebuild the dll
	* Get package references from configure rather than statically
	* Added files with GetString to the PO .in file
	* Fixed a few warnings from build stage
	
2005-01-06  Christian Hergert <chris@mosaix.net>

	* Initial creation of MonoQuery AddIn
